# boost::numeric::ublas::scalar_expression< E > Class Template Reference

Base class for Scalar Expression models. More...

Inherits boost::numeric::ublas::ublas_expression< E >.

List of all members.

## Public Types
typedef E | expression_type
typedef scalar_tag | type_category
## Public Member Functions
BOOST_UBLAS_INLINE const expression_type & | operator() () const
BOOST_UBLAS_INLINE expression_type & | operator() ()

## Detailed Description

### template<class E>
class boost::numeric::ublas::scalar_expression< E >

It does not model the Scalar Expression concept but all derived types should. The class defines a common base type and some common interface for all statically derived Scalar Expression classes.

We implement the casts to the statically derived type.

Template Parameters:

  | E | an expression type